<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{86848F80-2692-47AB-A68A-BFB2990B632E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Common</RootNamespace>
    <AssemblyName>Ntp.Common</AssemblyName>
    <ReleaseVersion>0.7.6</ReleaseVersion>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="Mono.Posix" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Compile Include="..\Shared\AssemblyInfo.cs" />
    <Compile Include="IO\DirectoryCommand.cs" />
    <Compile Include="Log\ActivityLog.cs" />
    <Compile Include="Log\ConsoleLog.cs" />
    <Compile Include="Log\EventLog.cs" />
    <Compile Include="Log\FileLog.cs" />
    <Compile Include="Log\ILogConfiguration.cs" />
    <Compile Include="Log\LogBase.cs" />
    <Compile Include="Log\LogExtensions.cs" />
    <Compile Include="Log\LogFactory.cs" />
    <Compile Include="Log\LogGroup.cs" />
    <Compile Include="Log\LogType.cs" />
    <Compile Include="Log\Severity.cs" />
    <Compile Include="Log\SysLog.cs" />
    <Compile Include="Log\TextLog.cs" />
    <Compile Include="Process\Cluster.cs" />
    <Compile Include="Process\IJobConfiguration.cs" />
    <Compile Include="Process\IRequest.cs" />
    <Compile Include="Process\IScheduler.cs" />
    <Compile Include="Process\Job.cs" />
    <Compile Include="Process\JobDescription.cs" />
    <Compile Include="Process\JobScheduleDescription.cs" />
    <Compile Include="Process\ScheduledJob.cs" />
    <Compile Include="Process\Scheduler.cs" />
    <Compile Include="Process\ThreadType.cs" />
    <Compile Include="System\InterProcess.cs" />
    <Compile Include="IO\Options.cs" />
    <Compile Include="IO\Permission.cs" />
    <Compile Include="System\ProcessInfo.cs" />
    <Compile Include="IO\ShellCommand.cs" />
    <Compile Include="System\SignalHandler.cs" />
    <Compile Include="App\IApplicationController.cs" />
    <Compile Include="App\Heartbeat.cs" />
    <Compile Include="Web\PageText.cs" />
    <Compile Include="Web\UriExtensions.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <Deployment.LinuxDeployData generatePcFile="False" />
        <MonoDevelop.Autotools.MakefileInfo IntegrationEnabled="True" RelativeMakefileName="Makefile" SyncReferences="True">
          <BuildFilesVar Sync="True" Name="FILES" />
          <DeployFilesVar />
          <ResourcesVar Sync="True" Name="RESOURCES" />
          <OthersVar />
          <GacRefVar Sync="True" Name="REFERENCES" />
          <AsmRefVar Sync="True" Name="REFERENCES" />
          <ProjectRefVar Sync="True" Name="REFERENCES" />
        </MonoDevelop.Autotools.MakefileInfo>
      </Properties>
    </MonoDevelop>
  </ProjectExtensions>
</Project>